.action-bar {
	margin:0;
	display: flex;
	align-items: center;
	flex-wrap: wrap;
	padding:.57rem 0 0;
	> li{
		> button {
			border-radius:6px;
		}
		> button,
		> div{
			margin-left: 6px;
		}
		> div > ul{
			list-style: none;
			border: 1px solid #aaa;
			box-shadow: 1px 2px 2px rgba(0,0,0,0.1);
		}
		> button,
		> div > button,
		> div > a {
			vertical-align: middle;
			border:1px solid #b9b9b9;
			background: #f9f9f9;
			padding: 0 8px;
			color: #444;
			font-size: 13px;
			height: 30px;
			&:hover{
				background: #f5f5f5;
				border-color: #555;
			};
			&:disabled{
				color: #818181;
			}
		}
		> button.action-bar-dropdown-toggle{
			border-left: 1px solid #BBBBBB;
			display: inline-block;
			width: 22px;
			border-radius: 0 6px 6px 0;
			margin-left: -1px !important;
			padding: 0 !important;
		}
	}

}

.action-bar-dropdown-menu {
	background: white;
	position: absolute;
	top: 100%;
	left: 0;
	min-width: 230px;
	z-index: 2;
	max-height: 400px;
    overflow: auto;
    > ul {
    	display: none;
    	&.menu-open {
			display: block;
		}
    }
    li {
		margin: 0;
		button {
			line-height: 2.4;
			padding: 0 8px;
			font-size: 0.929em;
			white-space: nowrap;
			width: 100%;
			text-align: left;
			&:hover{
				background: #eee;
				cursor: pointer;
			}
			&:active{
				background: #e0e0e0;
				box-shadow: inset 0 1px 2px rgba(0,0,0,0.2);
				border-color: #999;
			}
		}
	}
	button{
		font-size: 0.929em;
		line-height: 1.6;
	}
}


.action-bar-select {
	width: 40px;
	text-align: center;
	position:relative;
	margin-bottom:.5rem;
	input{
		position: relative;
	}
}

.action-bar-open-dropdown{
	width: 7px;
	height: 4px;
	background: url(/images/icons-docs.png) no-repeat -203px -79px;
	display: inline-block;
	margin: 0px 0 0 4px;
	vertical-align: middle;
	position: relative;
}

.action-bar-button{
	margin-bottom:.57rem;
	font-size: 0;
	position: relative;
	.action-bar-button-label {
		display: inline-block;
		border-radius: 6px 0 0 6px;
	}
}

.action-bar-dropdown-split-button > div{
	> div:hover{
		cursor: pointer;
	}
	.action-bar-open-dropdown{
		margin-left: 0;
	}
}

.action-bar-dropdown-toggle > .action-bar-open-dropdown{
	margin: 0;
}